=== xtp/src/CMakeLists.txt ===
add_subdirectory(libxtp)
add_subdirectory(tools)
add_subdirectory(tests)
add_subdirectory(pyxtp)
