=== debian/changelog ===
votca (2023-1build2) noble; urgency=medium

  * No-change rebuild for 64-bit time_t.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Apr 2024 14:44:13 +0100

votca (2023-1build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Dec 2023 23:15:54 +0100

votca (2023-1) unstable; urgency=medium

  * New upstream release.
    - SONAME bump to 2023.
    - Remove tutorial-spce-py3.patch, resolved upstream.
    - Builds with Boost 1.83.  (Closes: #1056008)

 -- Nicholas Breen <nbreen@debian.org>  Fri, 17 Nov 2023 18:23:36 -0800

votca (2022.1-2) unstable; urgency=medium

  [ Nicholas Breen ]
  * sphinx-7-styles.patch: Build with newer Sphinx >= 7.0.
    (Closes: #1042660)
  * Bump S-V to 4.6.2, no changes required.
  * Override lintian false positive built-using-field-on-arch-all-package.

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Nicholas Breen <nbreen@debian.org>  Sun, 29 Oct 2023 11:59:12 -0700
