=== debian/control ===
Source: votca
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
           Nicholas Breen <nbreen@debian.org>
Build-Depends: bash-completion,
               clang-format,
               cmake,
               debhelper-compat (= 13),
               dh-python,
               gromacs (>= 2022),
               libboost-all-dev,
               libecpint-dev,
               libeigen3-dev,
               libexpat-dev,
               libfftw3-dev,
               libgromacs-dev (>= 2022),
               libgsl-dev,
               libhdf5-dev,
               libint2-dev,
               librdkit-dev,
               libsqlite3-dev,
               libxc-dev,
               pkg-config,
               pybind11-dev,
               python3-h5py,
               python3-lxml,
               python3-numpy,
               python3-pytest,
               python3-rdkit,
               python3:any,
               sphinx-common,
               txt2tags
Build-Depends-Indep: doxygen,
                     gnuplot-nox | gnuplot,
                     graphviz,
                     pandoc,
                     python3-ipykernel,
                     python3-nbsphinx,
                     python3-recommonmark,
                     python3-sphinx,
                     python3-sphinx-rtd-theme
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.votca.org/
Vcs-Browser: https://salsa.debian.org/debichem-team/votca
Vcs-Git: https://salsa.debian.org/debichem-team/votca.git

Package: libvotca-dev
Section: libdevel
Architecture: any
Depends: libboost-filesystem-dev,
         libboost-program-options-dev,
         libboost-system-dev,
         libvotca-2023 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libvotca-csg-dev (<< 2022~),
        libvotca-tools-dev (<< 2022~),
        libvotca-xtp-dev (<< 2022~)
Replaces: libvotca-csg-dev (<< 2022~),
          libvotca-tools-dev (<< 2022~),
          libvotca-xtp-dev (<< 2022~)
Provides: libvotca-csg-dev, libvotca-tools-dev, libvotca-xtp-dev
Description: VOTCA molecular dynamics analysis - development files
 Versatile Object-Oriented Toolkit for Coarse-Graining Applications (VOTCA)
 is a modeling package for the analysis of molecular dynamics data, the
 development of systematic coarse-graining techniques, and methods used for
 simulating microscopic charge transport in disordered semiconductors.
 .
 This package contains header files and pkg-config files and templates
 for VOTCA programs.

Package: libvotca-2023
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: VOTCA molecular dynamics analysis - shared libraries
 Versatile Object-Oriented Toolkit for Coarse-Graining Applications (VOTCA)
 is a modeling package for the analysis of molecular dynamics data, the
 development of systematic coarse-graining techniques, and methods used for
 simulating microscopic charge transport in disordered semiconductors.
 .
 libvotca contains VOTCA's coarse-graining and excitation transport
 libraries.

Package: votca-data
Architecture: all
Built-Using: ${sphinxdoc:Built-Using}
Depends: bash (>= 4), ${misc:Depends}
Recommends: perl, python3:any, ${perl:Depends}, ${sphinxdoc:Depends}
Breaks: votca-csg-scripts (<< 2022~), votca-xtp (<< 2022~)
Replaces: votca-csg-scripts (<< 2022~), votca-xtp (<< 2022~)
Provides: votca-csg-scripts
Description: VOTCA molecular dynamics analysis - basis sets and scripts
 Versatile Object-Oriented Toolkit for Coarse-Graining Applications (VOTCA)
 is a modeling package for the analysis of molecular dynamics data, the
 development of systematic coarse-graining techniques, and methods used for
 simulating microscopic charge transport in disordered semiconductors.
 .
 This package contains architecture independent coarse-graining scripts
 and basis sets.

Package: votca-tutorials
Architecture: all
Multi-Arch: foreign
Depends: bash (>= 4), ${misc:Depends}, ${python3:Depends}
Recommends: python3:any
Breaks: votca-csg-tutorials (<< 2022~), votca-xtp-tutorials (<< 2022~)
Replaces: votca-csg-tutorials (<< 2022~), votca-xtp-tutorials (<< 2022~)
Provides: votca-csg-tutorials, votca-xtp-tutorials
Description: VOTCA molecular dynamics analysis - tutorials
 Versatile Object-Oriented Toolkit for Coarse-Graining Applications (VOTCA)
 is a modeling package for the analysis of molecular dynamics data, the
 development of systematic coarse-graining techniques, and methods used for
 simulating microscopic charge transport in disordered semiconductors.
 .
 This package contains architecture independent tutorials.

Package: votca
Architecture: any
Depends: votca-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: python3:any
Suggests: votca-tutorials
Breaks: votca-csg (<< 2022~), votca-tools (<< 2022~), votca-xtp (<< 2022~)
Replaces: votca-csg (<< 2022~), votca-tools (<< 2022~), votca-xtp (<< 2022~)
Provides: votca-csg, votca-tools, votca-xtp
Description: Molecular dynamics analysis - coarse-graining and charge transport
 Versatile Object-Oriented Toolkit for Coarse-Graining Applications (VOTCA)
 is a modeling package for the analysis of molecular dynamics data, the
 development of systematic coarse-graining techniques, and methods used for
 simulating microscopic charge transport in disordered semiconductors.
 .
 Numerous molecular dynamics packages, including but not limited to
 GROMACS, ESPREesSo, and LAMPPS, can be used together with VOTCA.
 .
 This package contains user programs for the coarse-graining toolkit (CSG)
 and excitation transport toolkit (XTP).
